# classes/phing/tasks/ext/git/GitPushTask.php

## \GitPushTask
jump to top

Wrapper aroung git-push

Use {@link Project#createTask} to register a new Task.

Extends from
  \GitBaseTask
see
  \VersionControl_Git
author
  Victor Farazdagi
copyright
  2001,2002 THYRELL. All rights reserved
link
  http://www.kernel.org/pub/software/scm/git/docs/git-push.html
package
  phing.tasks.ext.git
since
  2.4.3
version
  $Id: GitPushTask.php 1051 2011-03-02 19:40:51Z victor $

### Properties

`boolean $allRemotes= 'false'`

Instead of naming each ref to push, specifies that all refs --all key to git-push

Default value `false` Details

Type
  boolean

`string $delete= 'false'`

Same as prefixing repos with colon --delete argument to git-push

Default value `false` Details

Type
  string

`string $destination= 'origin'`

<repository> argument to git-push

Default value `origin` Details

Type
  string

`boolean $force= 'false'`

--force, -f key to git-push

Default value `false` Details

Type
  boolean

`boolean $mirror= 'false'`

Mirror to remote repository --mirror key to git-push

Default value `false` Details

Type
  boolean

`boolean $quiet= 'true'`

--quiet, -q key to git-push

Default value `true` Details

Type
  boolean

`string $refspec= ''`

<refspec> argument to git-push

Details

Type
  string

`boolean $tags= 'false'`

Push all refs under refs/tags --tags key to git-fetch

Default value `false` Details

Type
  boolean

### Methods

`getAll( ) :`
`getDelete( ) :`
`getDestination( ) :`
`getForce( ) :`
`getMirror( ) :`
`getQuiet( ) :`
`getRefspec( ) :`
`getTags( ) :`
`isAllRemotes( ) :`
`isDelete( ) :`
`isForce( ) :`
`isMirror( ) :`
`isQuiet( ) :`
`isTags( ) :`
`main( ) :`
The main entry point for the task
`setAll( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setDelete( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setDestination( $destination ) :`
Parameters

Name | Type | Description
--- | --- | ---
$destination |  |

`setForce( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setMirror( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setQuiet( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setRefspec( $spec ) :`
Parameters

Name | Type | Description
--- | --- | ---
$spec |  |

`setTags( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

Documentation was generated by DocBlox 0.13.1.